#include "clientapi.h"

#include "clientgremlin.h"
#include "globals.h"

#include "clientgremlinhave.h"

ClientGremlinHave::ClientGremlinHave( ClientApi* c, char* d )
:ClientGremlin( c, d )
{

}

void ClientGremlinHave::OutputInfo( char level, const_char* data )
{
	StrRef sr = StrRef( data );
	char* p = sr.End();
	while ( p != data )
	{
		p--;
		if ( *p == ' ' ) break;
	}
	char* fname = p + 1;

	// error check
	if ( p - data < 10 ) return;
	p--;
	if ( *p != '-' && ( *p != 's' || *( p - 1 ) != 'a' ) ) return;

	files.VSetVar( StrNum( files.GetCount() ), StrRef( fname ) );
}